#!/usr/local/bin/perl
# edit-lib.pl - Code common to editing on forms.
# Copyright Board of Trustees of the University of Illinois at UC, April 1995



sub buildOptions {
  # build an options lists for a form
  local ($selected, @options) = @_;
  local ($options);
  $options = "\n<OPTION>" . join("\n<OPTION>", @options);
  if ($selected) {
    $options =~ s/<OPTION>$selected/<OPTION SELECTED>$selected/;
  }
  else {
    $options =~ s/^\n<OPTION>/\n<OPTION SELECTED>/;
  }
  $options;
}

1;
